numInst = 2
count = 25000

datadir = "/home/tamert/timewall/experiments/diss/hog_response/major/20/ABC/"

files = []
for i in range(numInst):
    files.append(datadir + "sched=4_count=%d_inst=%d_%d.log" % \
                 (count, numInst, i+1))

print(files)
print("")

def parseForVals(vals):
    counts = {}
    for val in vals:
        counts[val] = []

    for filepath in files:
        f = open(filepath, 'r')

        for line in f:
            if "Computation" in line:
                sl = line.strip().split(' ')

                if len(sl) < 8: continue

                compNum = int(sl[4])
                duration = float(sl[6])

                if compNum in vals:
                    counts[compNum].append(duration)

        f.close()

    for val in vals:
        dataCount = str(len(counts[val]))
        print("Computation " + str(val) + " had " + dataCount + " data points")

    print("")

    for val in vals:
        if len(counts[val]) == 0: continue
        maxDuration = "%9.f" % max(counts[val])
        c50 = "%8.f" % sorted(counts[val])[int(0.5 * len(counts[val]))-1]
        c99 = "%8.f" % sorted(counts[val])[int(0.99 * len(counts[val]))-1]
        c995 = "%8.f" % sorted(counts[val])[int(0.995 * len(counts[val]))-1]
        c999 = "%8.f" % sorted(counts[val])[int(0.999 * len(counts[val]))-1]
        c9995 = "%8.f" % sorted(counts[val])[int(0.9995 * len(counts[val]))-1]
        c9999 = "%8.f" % sorted(counts[val])[int(0.9999 * len(counts[val]))-1]
        print("Computation " + str(val) + " had 50th duration: " + c50 + " us")
        print("Computation " + str(val) + " had 99th duration: " + c99 + " us")
        print("Computation " + str(val) + " had 99.5th duration: " + c995 + " us")
        print("Computation " + str(val) + " had 99.9th duration: " + c999 + " us")
        print("Computation " + str(val) + " had 99.95th duration: " + c9995 + " us")
        print("Computation " + str(val) + " had 99.99th duration: " + c9999 + " us")
        print("Computation " + str(val) + " had max duration: " + maxDuration + " us")
        s = sorted(counts[val])
        print(s[-5:])
        print("")


    print("")
    for val in vals:
        print counts[val][:20]

parseForVals([1,2,3,4,5,6,9])