#!/bin/bash

#reset gpu to normal settings
nvidia-smi -rac

#turn on SMT
echo on > /sys/devices/system/cpu/smt/control

#turn on frequency scaling
for i in {0..15}; do echo "performance" > /sys/devices/system/cpu/cpu$i/cpufreq/scaling_governor; done
echo "26" > /sys/devices/system/cpu/intel_pstate/min_perf_pct
for i in {0..15}; do echo "0" > /sys/devices/system/cpu/cpu$i/power/pm_qos_resume_latency_us; done

#unpin irqs
#for i in {0..154}; do echo "ffffffff" > /proc/irq/$i/smp_affinity; done

#turn on irqbalance
service irqbalance restart

#restart gdm
systemctl restart gdm
