#!/bin/bash

#turn off SMT
echo off > /sys/devices/system/cpu/smt/control

#turn off Xserver
service gdm stop

#turn off frequency scaling
for i in {0..15}; do echo "performance" > /sys/devices/system/cpu/cpu$i/cpufreq/scaling_governor; done
echo "100" > /sys/devices/system/cpu/intel_pstate/min_perf_pct
for i in {0..15}; do echo "n/a" > /sys/devices/system/cpu/cpu$i/power/pm_qos_resume_latency_us; done

#turn off irqbalance
service irqbalance stop

#pin all irqs to core 0 and 8
for i in {0..154}; do echo "101" > /proc/irq/$i/smp_affinity; done

#configure serial port
setserial -g /dev/ttyS0

#configure kgdboc params
echo ttyS0,115200 > /sys/module/kgdboc/parameters/kgdboc

#set GPU to run at consistant clock
sudo nvidia-smi -ac 850,1912

#mount intel RDT
mount -t resctrl resctrl /sys/fs/resctrl
mkdir -p /sys/fs/resctrl/c0
mkdir -p /sys/fs/resctrl/c1
mkdir -p /sys/fs/resctrl/c2
