import sys

responseCol = 3

folder = sys.argv[1]

fin = open(folder + sys.argv[2], 'r')
fout = open(folder + sys.argv[3], 'w')

tasknum = -1
maxtask = 4

for line in fin:
	if line.strip() == "":
		continue

	if line[0] == "#":
		if tasknum >= maxtask:
			break
		tasknum += 1
		continue

	s = line.strip().split(',')

	# Keep the job response time
	response = s[responseCol].strip()

	fout.write("%s\n" % (response))

fin.close()
fout.close()

# Ex command:
#     python3 parse_jobresponse.py ./ temp20.log temp20_resp.log
